Create a Job

Create a new job. The customer will upload files into a source s3 bucket and provide credentials in the request body to access it. This source bucket must hold both the file manifest and the input files to be processed. The customer must use the source bucket created during onboarding. The source files will be validated against the file manifest: - If any files listed in the manifest are missing, validation will fail. - Only the files listed in the manifest will be processed. Once the files have been processed and extracted, the `job_status` will be updated to `completed` to indicate that the job outputs are ready to be collected. Pipeline names available to each customers will be provided during onboarding. Pipeline parameters are specific to each pipeline and will be detailed in the _Pipeline Documentation_. The optional `job_name` is a human friendly string that you can associate with the job_id. Job names can be used to filter job information (see GET /api/v1/jobs)

Headers

X-API-Keystring or nullOptional
API key for authentication

Request

This endpoint expects an object.
manifest_keystringRequired
S3 manifest object key
pipeline_namestringRequired
Name of the pipeline
user_credentialsobjectRequired
aws_regionstringRequired
AWS region
pipeline_parametersmap from strings to any or nullOptional

Optional pipeline parameters as key-value pairs

job_namestring or nullOptional
Optional job name

Response

Created